Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.data.sequences.annotation
Class LocatedSequenceAnnotation

    java.lang.Object
      de.jstacs.results.ResultSet
          de.jstacs.data.sequences.annotation.SequenceAnnotation
              de.jstacs.data.sequences.annotation.LocatedSequenceAnnotation

All Implemented Interfaces:
  Storable

Direct Known Subclasses:
  LocatedSequenceAnnotationWithLength, SinglePositionSequenceAnnotation

    public class LocatedSequenceAnnotation

extends SequenceAnnotation

Class for a `SequenceAnnotation` that has a position on the sequence, e.g for transcription start sites or intron-exon junctions.

Author:
  Jan Grau

Field Summary

Fields inherited from class de.jstacs.results.ResultSet
`results`

Constructor Summary
`LocatedSequenceAnnotation(int position, String type, String identifier, Collection<Result> results)` Creates a new `LocatedSequenceAnnotation` of type `type` with identifier `identifier` and additional annotation (that does not fit the `SequenceAnnotation` definitions) given as a `Collection` of `Result`s `result`.
`LocatedSequenceAnnotation(int position, String type, String identifier, Result... results)` Creates a new `LocatedSequenceAnnotation` of type `type` with identifier `identifier` and additional annotation (that does not fit the `SequenceAnnotation` definitions) given as an array of `Result`s `result`.
`LocatedSequenceAnnotation(int position, String type, String identifier, SequenceAnnotation[] annotations, Result... additionalAnnotation)` Creates a new `LocatedSequenceAnnotation` of type `type` with identifier `identifier`, additional annotation (that does not fit the `SequenceAnnotation` definitions) given as an array of `Result`s `additionalAnnotation` and sub-annotations `annotations`.
`LocatedSequenceAnnotation(StringBuffer representation)` The standard constructor for the interface `Storable`.
`LocatedSequenceAnnotation(String type, String identifier, LocatedSequenceAnnotation[] annotations, Result... additionalAnnotation)` Creates a new `LocatedSequenceAnnotation` of type `type` with identifier `identifier`, additional annotation (that does not fit the `SequenceAnnotation` definitions) given as an array of `Result`s `additionalAnnotation` and sub-annotations `annotations`.

Method Summary
`protected void` | `fromXML(StringBuffer representation)` Parses the contents of a `ResultSet` from its XML representation as returned by `ResultSet.toXML()`.
`int` | `getPosition()` Returns the position of this `LocatedSequenceAnnotation` on the sequence.
`String` | `toString()`
`StringBuffer` | `toXML()` This method returns an XML representation as `StringBuffer` of an instance of the implementing class.

Methods inherited from class de.jstacs.data.sequences.annotation.SequenceAnnotation
`getAnnotations, getIdentifier, getSubAnnotations, getType`

Methods inherited from class de.jstacs.results.ResultSet
`findColumn, getNumberOfResults, getResultAt, getResults`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LocatedSequenceAnnotation

    public LocatedSequenceAnnotation(int position,
                                     String type,
                                     String identifier,
                                     Result... results)

  Creates a new `LocatedSequenceAnnotation` of type `type` with identifier `identifier` and additional annotation (that does not fit the `SequenceAnnotation` definitions) given as an array of `Result`s `result`.

  Parameters:
    `position` - the position of the `LocatedSequenceAnnotation` on the sequence
    `type` - the type of the annotation
    `identifier` - the identifier of the annotation
    `results` - the additional annotation
  See Also:
    `SequenceAnnotation.SequenceAnnotation(String, String, Result[][])`

### LocatedSequenceAnnotation

    public LocatedSequenceAnnotation(int position,
                                     String type,
                                     String identifier,
                                     Collection<Result> results)

  Creates a new `LocatedSequenceAnnotation` of type `type` with identifier `identifier` and additional annotation (that does not fit the `SequenceAnnotation` definitions) given as a `Collection` of `Result`s `result`.

  Parameters:
    `position` - the position of the `LocatedSequenceAnnotation` on the sequence
    `type` - the type of the annotation
    `identifier` - the identifier of the annotation
    `results` - the additional annotation
  See Also:
    `SequenceAnnotation.SequenceAnnotation(String, String, Collection)`

### LocatedSequenceAnnotation

    public LocatedSequenceAnnotation(int position,
                                     String type,
                                     String identifier,
                                     SequenceAnnotation[] annotations,
                                     Result... additionalAnnotation)

  Creates a new `LocatedSequenceAnnotation` of type `type` with identifier `identifier`, additional annotation (that does not fit the `SequenceAnnotation` definitions) given as an array of `Result`s `additionalAnnotation` and sub-annotations `annotations`.

  Parameters:
    `position` - the position of the `LocatedSequenceAnnotation` on the sequence
    `type` - the type of the annotation
    `identifier` - the identifier of the annotation
    `annotations` - the sub-annotations
    `additionalAnnotation` - the additional annotation
  See Also:
    `SequenceAnnotation.SequenceAnnotation(String, String, SequenceAnnotation[], Result...)`

### LocatedSequenceAnnotation

    public LocatedSequenceAnnotation(String type,
                                     String identifier,
                                     LocatedSequenceAnnotation[] annotations,
                                     Result... additionalAnnotation)

  Creates a new `LocatedSequenceAnnotation` of type `type` with identifier `identifier`, additional annotation (that does not fit the `SequenceAnnotation` definitions) given as an array of `Result`s `additionalAnnotation` and sub-annotations `annotations`. The position of this `LocatedSequenceAnnotation` is the minimum of the positions of `annotations`.

  Parameters:
    `type` - the type of the annotation
    `identifier` - the identifier of the annotation
    `annotations` - the sub-annotations
    `additionalAnnotation` - the additional annotation
  See Also:
    `SequenceAnnotation.SequenceAnnotation(String, String, SequenceAnnotation[], Result...)`

### LocatedSequenceAnnotation

    public LocatedSequenceAnnotation(StringBuffer representation)
                              throws NonParsableException

  The standard constructor for the interface `Storable`. Creates a new `LocatedSequenceAnnotation` out of its XML representation.

  Parameters:
    `representation` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the `LocatedSequenceAnnotation` could not be reconstructed out of the XML representation (the `StringBuffer` `representation` could not be parsed)
  See Also:
    `SequenceAnnotation.SequenceAnnotation(StringBuffer)`, `Storable`

Method Detail

### fromXML

    protected void fromXML(StringBuffer representation)
                    throws NonParsableException

  Description copied from class: `ResultSet`
  Parses the contents of a `ResultSet` from its XML representation as returned by `ResultSet.toXML()`.

  Overrides:
    `fromXML` in class `SequenceAnnotation`
  Parameters:
    `representation` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the XML code could not be parsed

### toXML

    public StringBuffer toXML()

  Description copied from interface: `Storable`
  This method returns an XML representation as `StringBuffer` of an instance of the implementing class.

  Specified by:
    `toXML` in interface `Storable`
  Overrides:
    `toXML` in class `SequenceAnnotation`
  Returns:
    the XML representation

### getPosition

    public int getPosition()

  Returns the position of this `LocatedSequenceAnnotation` on the sequence.

  Returns:
    the position on the sequence

### toString

    public String toString()

  Overrides:
    `toString` in class `SequenceAnnotation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD